
DECLARE
  v_exists INTEGER;
BEGIN
 SELECT count(*) 
    INTO v_exists 
    FROM user_tables 
    WHERE UPPER(Table_Name)='LAYERDATA_FLOAT';
 IF v_exists=0 THEN
  
  EXECUTE IMMEDIATE 'CREATE TABLE LayerData_FLOAT 
   (	
    /* */
  	ID NUMBER(10,0) NOT NULL, 
	LAYERREF NUMBER(10,0) NOT NULL, 
	LAYERVERSION NUMBER(10,0), 
	FACIALACCCLS NUMBER(10,0), 
  	SENDERID NUMBER(10,0), 
	SENDERRECORDID NUMBER(10,0), 
  	SENDERID_FORCHECK NUMBER(10,0),
	RVERSION NUMBER(10,0), 
	CREATEDATE DATE NOT NULL, 
	CREATERUSER VARCHAR2(30) NOT NULL, 
	UPDATEDATE DATE NOT NULL, 
	UPDATERUSER VARCHAR2(30) NOT NULL, 
	TASKREF NUMBER(10,0), 
  PRODUCTREF NUMBER(10,0), 
	OWNERUSER NUMBER(10,0) DEFAULT null NOT NULL, 
	EXECUTERUSER NUMBER(10,0) DEFAULT null NOT NULL, 
	UPDATESTATUS NUMBER(10,0), 
  UPDATEDRECORDINDEX NUMBER(10,0), 
	UPDATEGROUPINDEX NUMBER(10,0), 
  ACCEPTDATE NUMBER, 
	REJECTDATE NUMBER, 
	REJECTCAUSE VARCHAR2(255), 
	NATURALKEY VARCHAR2(255), 
	DOCSTATEREF NUMBER(10,0), 
	CRYPTOSTATUS NUMBER(10,0), 
	LOCKSTATUS NUMBER(2,0), 
	LOCKINFO VARCHAR2(255), 
	DATEOPEN NUMBER, 
	DATECLOSE NUMBER, 
	BUDGETREF NUMBER(10,0), 
  
  /**/
  KCSR VARCHAR2(20 BYTE), 
	INVESTOBJECT VARCHAR2(20 BYTE), 
	FINTYPE VARCHAR2(20 BYTE), 
	OKPD NUMBER(10,0), 
	FACT VARCHAR2(20 BYTE), 
	DIRECTIONCLS VARCHAR2(20 BYTE),
  ORG_REF NUMBER(10,0),
  VARIANT NUMBER(10,0), 
	SUBSIDYCLS NUMBER(10,0), 
	TRANSFERTCLS NUMBER(10,0), 
  REGIONCLS NUMBER(10,0), 
  DEPARTMENTCLS NUMBER(10,0),
	KFSR NUMBER(10,0), 
	KVSR NUMBER(10,0), 
	KESR NUMBER(10,0), 
	KVR NUMBER(10,0), 
	SUBKESR NUMBER(10,0), 
	FINSOURCE NUMBER(10,0), 
	MEANSTYPE NUMBER(10,0), 
 
  /*  */
	INTFIELD00 NUMBER(10,0), 
	INTFIELD01 NUMBER(10,0), 
	INTFIELD02 NUMBER(10,0), 
	INTFIELD03 NUMBER(10,0), 
	INTFIELD04 NUMBER(10,0), 
  INTFIELD05 NUMBER(10,0), 
	INTFIELD06 NUMBER(10,0), 
  INTFIELD07 NUMBER(10,0), 
  INTFIELD08 NUMBER(10,0), 
  INTFIELD09 NUMBER(10,0), 
  INTFIELD10 NUMBER(10,0), 
  INTFIELD11 NUMBER(10,0), 
  INTFIELD12 NUMBER(10,0), 
  INTFIELD13 NUMBER(10,0), 
  INTFIELD14 NUMBER(10,0), 
  INTFIELD15 NUMBER(10,0), 
  INTFIELD16 NUMBER(10,0), 
  INTFIELD17 NUMBER(10,0), 
  INTFIELD18 NUMBER(10,0), 
  INTFIELD19 NUMBER(10,0), 
  INTFIELD20 NUMBER(10,0), 
  INTFIELD21 NUMBER(10,0), 
  INTFIELD22 NUMBER(10,0), 
  INTFIELD23 NUMBER(10,0), 
  INTFIELD24 NUMBER(10,0), 
  INTFIELD25 NUMBER(10,0), 
	DATEFIELD00 NUMBER, 
	DATEFIELD01 NUMBER, 
	DATEFIELD02 NUMBER, 
  DATEFIELD03 NUMBER, 
  DATEFIELD04 NUMBER, 
  DATEFIELD05 NUMBER, 
  DATEFIELD06 NUMBER, 
  DATEFIELD07 NUMBER,
  DATEFIELD08 NUMBER, 
  DATEFIELD09 NUMBER,
  DATEFIELD10 NUMBER, 
  DATEFIELD11 NUMBER,
	STRFIELD00 VARCHAR2(1024 BYTE), 
	STRFIELD01 VARCHAR2(1024 BYTE), 
	STRFIELD02 VARCHAR2(1024 BYTE), 
	STRFIELD03 VARCHAR2(1024 BYTE), 
	STRFIELD04 VARCHAR2(1024 BYTE), 
  STRFIELD05 VARCHAR2(1024 BYTE), 
  STRFIELD06 VARCHAR2(1024 BYTE), 
  STRFIELD07 VARCHAR2(1024 BYTE), 
  STRFIELD08 VARCHAR2(1024 BYTE), 
	STRFIELD09 VARCHAR2(1024 BYTE), 
	STRFIELD10 VARCHAR2(1024 BYTE), 
  FLOATFIELD00 NUMBER, 
	FLOATFIELD01 NUMBER, 
	FLOATFIELD02 NUMBER, 
	FLOATFIELD03 NUMBER, 
	FLOATFIELD04 NUMBER, 
  FLOATFIELD05 NUMBER,
  FLOATFIELD06 NUMBER, 
	FLOATFIELD07 NUMBER, 
	FLOATFIELD08 NUMBER, 
	FLOATFIELD09 NUMBER, 
	FLOATFIELD10 NUMBER, 
  FLOATFIELD11 NUMBER,
  FLOATFIELD12 NUMBER, 
	FLOATFIELD13 NUMBER, 
	FLOATFIELD14 NUMBER, 
	FLOATFIELD15 NUMBER, 
	FLOATFIELD16 NUMBER, 
  FLOATFIELD17 NUMBER,
  FLOATFIELD18 NUMBER, 
	FLOATFIELD19 NUMBER, 
	FLOATFIELD20 NUMBER, 
	FLOATFIELD21 NUMBER, 
	FLOATFIELD22 NUMBER, 
  FLOATFIELD23 NUMBER,
  FLOATFIELD24 NUMBER, 
	FLOATFIELD25 NUMBER, 
	FLOATFIELD26 NUMBER, 
	FLOATFIELD27 NUMBER, 
	FLOATFIELD28 NUMBER, 
  FLOATFIELD29 NUMBER,
  SUMFIELD00 NUMBER(15,2) DEFAULT null, 
	SUMFIELD01 NUMBER(15,2) DEFAULT null, 
	SUMFIELD02 NUMBER(15,2) DEFAULT null, 
	SUMFIELD03 NUMBER(15,2) DEFAULT null, 
	SUMFIELD04 NUMBER(15,2) DEFAULT null, 
	SUMFIELD05 NUMBER(15,2) DEFAULT null, 
	SUMFIELD06 NUMBER(15,2) DEFAULT null, 
	SUMFIELD07 NUMBER(15,2) DEFAULT null, 
	SUMFIELD08 NUMBER(15,2) DEFAULT null, 
	SUMFIELD09 NUMBER(15,2) DEFAULT null, 
	SUMFIELD10 NUMBER(15,2) DEFAULT null, 
	SUMFIELD11 NUMBER(15,2) DEFAULT null, 
	SUMFIELD12 NUMBER(15,2) DEFAULT null, 
	SUMFIELD13 NUMBER(15,2) DEFAULT null, 
	SUMFIELD14 NUMBER(15,2) DEFAULT null, 

	 CHECK ((ID<=2147483647)AND(ID>-2147483648)), 
	 CHECK ((LayerRef<=2147483647)AND(LayerRef>-2147483648)), 
	 CHECK ((LayerVersion<=2147483647)AND(LayerVersion>-2147483648)), 
	 CHECK ((FacialAccCls<=2147483647)AND(FacialAccCls>-2147483648)), 
	 CHECK ((IntField00<=2147483647)AND(IntField00>-2147483648)), 
	 CHECK ((IntField01<=2147483647)AND(IntField01>-2147483648)), 
	 CHECK ((IntField02<=2147483647)AND(IntField02>-2147483648)), 
	 CHECK ((IntField03<=2147483647)AND(IntField03>-2147483648)), 
	 CHECK ((IntField04<=2147483647)AND(IntField04>-2147483648)), 
	 CHECK ((IntField05<=2147483647)AND(IntField05>-2147483648)), 
	 CHECK ((IntField06<=2147483647)AND(IntField06>-2147483648)), 
	 CHECK ((IntField07<=2147483647)AND(IntField07>-2147483648)),
   CHECK ((IntField08<=2147483647)AND(IntField08>-2147483648)), 
	 CHECK ((IntField09<=2147483647)AND(IntField09>-2147483648)), 
	 CHECK ((IntField10<=2147483647)AND(IntField10>-2147483648)), 
	 CHECK ((IntField11<=2147483647)AND(IntField11>-2147483648)), 
	 CHECK ((IntField12<=2147483647)AND(IntField12>-2147483648)),
   CHECK ((IntField13<=2147483647)AND(IntField13>-2147483648)), 
	 CHECK ((IntField14<=2147483647)AND(IntField14>-2147483648)), 
	 CHECK ((IntField15<=2147483647)AND(IntField15>-2147483648)),
   CHECK ((IntField16<=2147483647)AND(IntField16>-2147483648)), 
	 CHECK ((IntField17<=2147483647)AND(IntField17>-2147483648)),
   CHECK ((IntField18<=2147483647)AND(IntField18>-2147483648)), 
	 CHECK ((IntField19<=2147483647)AND(IntField19>-2147483648)), 
	 CHECK ((IntField20<=2147483647)AND(IntField20>-2147483648)), 
	 CHECK ((IntField21<=2147483647)AND(IntField21>-2147483648)), 
	 CHECK ((IntField22<=2147483647)AND(IntField22>-2147483648)),
   CHECK ((IntField23<=2147483647)AND(IntField23>-2147483648)), 
	 CHECK ((IntField24<=2147483647)AND(IntField24>-2147483648)), 
	 CHECK ((IntField25<=2147483647)AND(IntField25>-2147483648)),
   
   CHECK ((KVSR<=2147483647)AND(KVSR>-2147483648)) ENABLE, 
	 CHECK ((KVR<=2147483647)AND(KVR>-2147483648)) ENABLE, 
	 CHECK ((KFSR<=2147483647)AND(KFSR>-2147483648)) ENABLE, 
	 CHECK ((KESR<=2147483647)AND(KESR>-2147483648)) ENABLE, 
   CHECK ((MeansType<=2147483647)AND(MeansType>-2147483648)) ENABLE, 
   CHECK ((REGIONCLS<=2147483647)AND(REGIONCLS>-2147483648)) ENABLE, 
   CHECK ((TRANSFERTCLS<=2147483647)AND(TRANSFERTCLS>-2147483648)) ENABLE, 
	 CHECK ((TASKREF<=2147483647)AND(TASKREF>-2147483648)) ENABLE, 
	 CHECK ((SUBSIDYCLS<=2147483647)AND(SUBSIDYCLS>-2147483648)) ENABLE, 
	 CHECK ((SubKESR<=2147483647)AND(SubKESR>-2147483648)) ENABLE,
   CHECK ((VARIANT<=2147483647)AND(VARIANT>-2147483648)) ENABLE, 
   CHECK ((Org_Ref<=2147483647)AND(Org_Ref>-2147483648)) ENABLE, 
   CHECK ((OKPD<=2147483647)AND(OKPD>-2147483648)) ENABLE,
   CHECK ((FinSource<=2147483647)AND(FinSource>-2147483648)) ENABLE, 
	 CHECK ((FacialAccCls<=2147483647)AND(FacialAccCls>-2147483648)) ENABLE, 
	 CHECK ((DEPARTMENTCLS<=2147483647)AND(DEPARTMENTCLS>-2147483648)) ENABLE, 
  
	 CHECK ((SenderID<=2147483647)AND(SenderID>-2147483648)), 
	 CHECK ((SenderRecordID<=2147483647)AND(SenderRecordID>-2147483648)), 
	 CHECK ((Rversion<=2147483647)AND(Rversion>-2147483648)), 
	 CHECK ((TASKREF<=2147483647)AND(TASKREF>-2147483648)), 
   CHECK ((ProductRef<=2147483647) and (ProductRef>=-2147483648)),
	 CHECK ((OwnerUser<=2147483647)AND(OwnerUser>-2147483648)), 
	 CHECK ((ExecuterUser<=2147483647)AND(ExecuterUser>-2147483648)), 
	 CHECK ((UpdateStatus<=2147483647) and (UpdateStatus>=-2147483648)), 
	 CHECK ((UpdatedRecordIndex<=2147483647) and (UpdatedRecordIndex>=-2147483648)), 
	 CHECK ((UpdateGroupIndex<=2147483647) and (UpdateGroupIndex>=-2147483648)), 
	 CHECK ((SENDERID_FORCHECK<=2147483647) and (SENDERID_FORCHECK>=-2147483648)), 
   CHECK ((CryptoStatus<=2147483647)AND(CryptoStatus>-2147483648)) ENABLE, 
	 CHECK ((BUDGETREF<=2147483647)AND(BUDGETREF>-2147483648)),

	 CONSTRAINT PK_LD_FLOAT PRIMARY KEY (ID), 
   
	 CONSTRAINT FK_LD_FLOAT_LAYERREF FOREIGN KEY (LAYERREF)
	  REFERENCES LAYERS (ID), 
	 CONSTRAINT FK_LD_FLOAT_TASKREF FOREIGN KEY (TASKREF)
	  REFERENCES LAYERTASKS (ID), 
	 CONSTRAINT FK_LD_FLOAT_OWNER FOREIGN KEY (OWNERUSER)
	  REFERENCES TB_DBUSERS (ID), 
	 CONSTRAINT FK_LD_FLOAT_EXECUTER FOREIGN KEY (EXECUTERUSER)
	  REFERENCES TB_DBUSERS (ID), 
	 CONSTRAINT FK_LD_FLOAT_FACIALACCCLS FOREIGN KEY (FACIALACCCLS)
	  REFERENCES TB_FACIALACC_CLS (ID),
    
   CONSTRAINT FK_LD_FLOAT_DEPARTMENTCLS FOREIGN KEY (DEPARTMENTCLS)
	  REFERENCES DEPARTMENTCLS (ID) ENABLE, 
	 CONSTRAINT FK_LD_FLOAT_PRODUCTREF FOREIGN KEY (PRODUCTREF)
	  REFERENCES TENDEROBJECTS (ID) ENABLE
  )';

  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_EXECUTER ON LayerData_FLOAT (EXECUTERUSER)';

  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_FACIALACCCLS ON LayerData_FLOAT (FACIALACCCLS)';

  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_LAYERREF ON LayerData_FLOAT (LAYERREF)';

  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_OWNER ON LayerData_FLOAT (OWNERUSER)';

  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_TASKREF ON LayerData_FLOAT (TASKREF)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_ADATE ON LayerData_FLOAT (ACCEPTDATE)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_BUDGETREF ON LayerData_FLOAT (BUDGETREF)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_LAYER ON LayerData_FLOAT (LAYERVERSION, LAYERREF)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_RDATE ON LayerData_FLOAT (REJECTDATE)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_STATE ON LayerData_FLOAT (DOCSTATEREF)';
  
  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_DEPARTMENTCLS ON LAYERDATA_FLOAT(DEPARTMENTCLS)';

  EXECUTE IMMEDIATE 'CREATE INDEX FK_LD_FLOAT_PRODUCTREF ON LAYERDATA_FLOAT(PRODUCTREF)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_DATECLOSE ON LAYERDATA_FLOAT(DATECLOSE)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_DATEOPEN ON LAYERDATA_FLOAT(DATEOPEN)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_DIRECTIONCLS ON LAYERDATA_FLOAT(DIRECTIONCLS)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_FACT ON LAYERDATA_FLOAT(FACT)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_FINSOURCE ON LAYERDATA_FLOAT(FINSOURCE)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_FINTYPE ON LAYERDATA_FLOAT(FINTYPE)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_INVESTOBJECT ON LAYERDATA_FLOAT(INVESTOBJECT)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_KCSR ON LAYERDATA_FLOAT(KCSR)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_KESR ON LAYERDATA_FLOAT(KESR)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_KFSR ON LAYERDATA_FLOAT(KFSR)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_KVR ON LAYERDATA_FLOAT(KVR)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_KVSR ON LAYERDATA_FLOAT(KVSR)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_MEANSTYPE ON LAYERDATA_FLOAT(MEANSTYPE)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_OKPD ON LAYERDATA_FLOAT(OKPD)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_ORG_REF ON LAYERDATA_FLOAT(ORG_REF)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_SUBKESR ON LAYERDATA_FLOAT(SUBKESR)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_SUBSIDYCLS ON LAYERDATA_FLOAT(SUBSIDYCLS)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_TRANSFERTCLS ON LAYERDATA_FLOAT(TRANSFERTCLS)';

  EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_VARIANT ON LAYERDATA_FLOAT(VARIANT)';
  
  EXECUTE IMMEDIATE 'COMMIT WORK';
  
 END IF;
END;
/
  

CREATE OR REPLACE TRIGGER TR_LD_FLOAT_AD after delete ON LayerData_FLOAT FOR EACH ROW
begin

-- - - - - - - - - - - - -
-- AD_500
-- Create 05.09.2005
-- - - - - - - - - - - - -

    insert into DelRecIndexes(TableID, RecordId, DeleteDate) values (174, :old.ID, SYSDATE);
    
end;

/
ALTER TRIGGER TR_LD_FLOAT_AD ENABLE;

  CREATE OR REPLACE TRIGGER TR_LD_FLOAT_AI after insert ON LayerData_FLOAT FOR EACH ROW
begin

-- - - - - - - - - - - - -
-- AI_500
-- Create 05.09.2005
-- - - - - - - - - - - - -

  delete from DelRecIndexes where (TableID = 174) and (RecordID = :new.ID);
  
end;

/
ALTER TRIGGER TR_LD_FLOAT_AI ENABLE;

  CREATE OR REPLACE TRIGGER TR_LD_FLOAT_AU after update ON LayerData_FLOAT FOR EACH ROW
begin

-- - - - - - - - - - - - -
-- AU_500
-- Create 05.09.2005
-- - - - - - - - - - - - -

  if (:new.ID<>:old.ID) then
    insert into DelRecIndexes(TableID, RecordId, DeleteDate) values (174, :old.ID, SYSDATE);
    delete from DelRecIndexes where (TableID=174) and (RecordId=:new.ID);
  end if;
  
end;

/
ALTER TRIGGER TR_LD_FLOAT_AU ENABLE;

  CREATE OR REPLACE TRIGGER TR_LD_FLOAT_BI 
 BEFORE
  INSERT
 ON LayerData_FLOAT
REFERENCING NEW AS NEW OLD AS OLD
 FOR EACH ROW
declare
  fac NUMBER(10);
begin

-- - - - - - - - - - - - -
-- BI_(0)
-- Create 05.09.2005
-- Last Update 22.05.2009
-- - - - - - - - - - - - -

    if (:new.id is null) then select g_Shared.nextval into :new.Id from DUAL; end if;
    if (:new.LayerVersion is null) then :new.LayerVersion := 0; end if;
    if (:new.ExecuterUser is null) then :new.ExecuterUser := :new.OwnerUser; end if;
    if ((:new.FacialAccCls is null) and (:new.TaskRef is not null)) then
      BEGIN
        select FacialAccCls into fac from LayerTasks where ID = :new.TaskRef;
        :new.FacialAccCls := fac;
      EXCEPTION
        WHEN NO_DATA_FOUND THEN NULL;
      END;
    end if;
    if (:new.TaskRef is not null) then
      BEGIN
        select LayerVersion, DocStateRef, AcceptDate, RejectDate, OwnerUser, ExecuterUser
          into :new.LayerVersion, :new.DocStateRef, :new.AcceptDate, :new.RejectDate,
          :new.OwnerUser, :new.ExecuterUser
        from LayerTasks where ID = :new.TaskRef;
      EXCEPTION
        WHEN NO_DATA_FOUND THEN
          :new.LayerVersion := NULL;
          :new.DocStateRef := NULL;
          :new.AcceptDate := NULL;
          :new.RejectDate := NULL;
          :new.OwnerUser := NULL;
          :new.ExecuterUser := NULL;
      END;  
    end if;
    
-- - - - - - - - - - - - -
-- BI_500
-- Create 05.09.2005
-- - - - - - - - - - - - -
  :NEW.CreateDate := SYSDATE;
  :NEW.UpdateDate := :NEW.CreateDate;
  :NEW.CreaterUser := USER;
  :NEW.UpdaterUser := USER;
end;

/
ALTER TRIGGER TR_LD_FLOAT_BI ENABLE;

  CREATE OR REPLACE TRIGGER TR_LD_FLOAT_BU 
 BEFORE
  UPDATE
 ON LayerData_FLOAT
REFERENCING NEW AS NEW OLD AS OLD
 FOR EACH ROW
begin

-- - - - - - - - - - - - -
-- BU_(0)
-- Create 05.09.2005
-- - - - - - - - - - - - -

    if (:new.LayerVersion is null) then :new.LayerVersion := 0; end if;
    if (:new.ExecuterUser is null) then :new.ExecuterUser := :new.OwnerUser; end if;
    
-- - - - - - - - - - - - -
-- BU_700
-- Create 05.09.2005
-- - - - - - - - - - - - -

  if (:new.RVersion is null) then
    :new.RVersion := 1;
  elsif ((:new.RVersion = -1) and (:old.RVersion <> -1)) then
    :new.RVersion := :old.RVersion;
  else
    :new.RVersion := :old.RVersion+1;
  end if;

end;

/
ALTER TRIGGER TR_LD_FLOAT_BU ENABLE;

  CREATE OR REPLACE TRIGGER TR_LD_FLOAT_BU_500 before update on LayerData_FLOAT for each row
begin
-- - - - - - - - - - - - -
-- BU_500
-- - - - - - - - - - - - -
    :new.UpdateDate := SYSDATE;
    :new.UpdaterUser := User;
end;

/
ALTER TRIGGER TR_LD_FLOAT_BU_500 ENABLE;
/

GRANT SELECT, INSERT, UPDATE, DELETE ON LayerData_FLOAT TO PUBLIC;
/

COMMIT WORK;
/




  

